/***************************************************************************
 *            gyum_config.h
 *
 *  Thu Apr  7 09:42:54 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GYUM_CONFIG_H
#define _GYUM_CONFIG_H

#include <gtk/gtk.h>
#include <gconf/gconf.h>
#include <gconf/gconf-client.h>

#ifdef __cplusplus
extern "C"
{
#endif

void gyum_config_set_string(const gchar *key,const gchar *val);
GConfValue *gyum_config_set_string_value(const gchar *val);
gchar *gyum_config_get_string(const gchar *key);

void gyum_config_set_boolean(const gchar *key,gboolean val);
GConfValue *gyum_config_set_boolean_value(gboolean val);
gboolean gyum_config_get_boolean(const gchar *key);

void gyum_config_set_int(const gchar *key,gint val);
GConfValue *gyum_config_set_int_value(gint val);
gint gyum_config_get_int(const gchar *key);

void gyum_config_set_color(const gchar *key,const GdkColor *color);
GConfValue *gyum_config_set_color_value(const GdkColor *color);
GdkColor *gyum_config_get_color(const gchar *key,GdkColor *color);

void gyum_config_set_list(const gchar *key,GSList *list);
GConfValue *gyum_config_set_list_value(GSList *list);
GSList *gyum_config_get_list(const gchar *key);

#ifdef __cplusplus
}
#endif

#endif /* _GYUM_CONFIG_H */
