/***************************************************************************
 *            gyum_preferences.h
 *
 *  Thu Mar 17 08:53:11 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GYUM_PREFERENCES_H
#define _GYUM_PREFERENCES_H

#include <gtk/gtk.h>
#include "gyum_config.h"

#ifdef __cplusplus
extern "C"
{
#endif
	
gboolean gyum_preferences_active();
void gyum_preferences_init(GtkWidget *window);
gboolean gyum_preferences_unload(GtkWidget *window,gboolean update,gboolean *changed);
void gyum_preferences_set_variable(const gchar *var,GConfValue *val);

void gyum_repository_cursor_changed();
void gyum_repository_new();
void gyum_repository_import(GtkWidget *gyum_repo_import);
void gyum_repository_edit(const gchar *var,const gchar *val);
void gyum_repository_remove();

void gyum_if_config_treeview_cursor_changed(GtkTreeView *treeview,const gchar *type);
void gyum_if_config_fileentry_changed(GnomeFileEntry *fileentry,const gchar *type);
void gyum_if_config_treeview_item_op(GtkWidget *button,const gchar *type,gboolean add);
#define gyum_if_config_treeview_item_add(button,type)\
		gyum_if_config_treeview_item_op(GTK_WIDGET(button),type,TRUE)
#define gyum_if_config_treeview_item_remove(button,type)\
		gyum_if_config_treeview_item_op(GTK_WIDGET(button),type,FALSE)

#ifdef __cplusplus
}
#endif

#endif /* _GYUM_PREFERENCES_H */
